### Method

# Fwupd Plugin set_name

since: 1.5.0

#### Declaration [src]

    void
    fwupd_plugin_set_name (
      FwupdPlugin* self,
      const gchar* name
    )

#### Description [src]

Sets the plugin name.

Available since: 1.5.0

Sets property | `Fwupd.Plugin:name`

#### Parameters

`name`

  Type: `const gchar*`

  The plugin name, e.g. `bios`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.